using Register_office.BaseClasses;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Register_office.Model;

public partial class Unit : IUnionId
{
	public object GetId() => UnitId;

	[Display(Name = "hide")]
	public int UnitId { get; set; }

	[Display(Name = "Название")]
	public string Name { get; set; } = null!;

	[Browsable(false)]
    public virtual ICollection<DrugTypePrescription> DrugTypePrescriptions { get; set; } = new List<DrugTypePrescription>();

	[Browsable(false)]
    public virtual ICollection<NumericResult> NumericResults { get; set; } = new List<NumericResult>();

	[Browsable(false)]
    public virtual ICollection<ReferenceNumericValue> ReferenceNumericValues { get; set; } = new List<ReferenceNumericValue>();
}
